commit:     9d71c7b75f14b61bb0cc9f0bc073436daaf63f95
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Sat Sep  6 08:22:03 2014 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Sat Sep  6 08:22:03 2014 +0000
URL:        
http://sources.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=9d71c7b7

[fixup] virtual/perl-IPC-SysV EAPI and provides rules, remove old

Package-Manager: portage-2.2.10

---
 virtual/perl-IPC-SysV/ChangeLog                           |  9 ++++++++-
 virtual/perl-IPC-SysV/perl-IPC-SysV-2.30.0-r1.ebuild      | 15 ---------------
 ...-SysV-2.10.0.ebuild => perl-IPC-SysV-2.30.0-r2.ebuild} | 14 +++++---------
 3 files changed, 13 insertions(+), 25 deletions(-)

diff --git a/virtual/perl-IPC-SysV/ChangeLog b/virtual/perl-IPC-SysV/ChangeLog
index c2cbecd..4045688 100644
--- a/virtual/perl-IPC-SysV/ChangeLog
+++ b/virtual/perl-IPC-SysV/ChangeLog
@@ -1,7 +1,14 @@
 # ChangeLog for virtual/perl-IPC-SysV
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*perl-IPC-SysV-2.30.0-r2 (06 Sep 2014)
+
+  06 Sep 2014; Kent Fredric <[email protected]>
+  -perl-IPC-SysV-2.10.0.ebuild, -perl-IPC-SysV-2.30.0-r1.ebuild,
+  +perl-IPC-SysV-2.30.0-r2.ebuild:
+  EAPI and provides rules, remove old
+
 *perl-IPC-SysV-2.30.0-r1 (17 Jun 2011)
 
   17 Jun 2011; Kent Fredric <[email protected]>

diff --git a/virtual/perl-IPC-SysV/perl-IPC-SysV-2.30.0-r1.ebuild 
b/virtual/perl-IPC-SysV/perl-IPC-SysV-2.30.0-r1.ebuild
deleted file mode 100644
index d388f6d..0000000
--- a/virtual/perl-IPC-SysV/perl-IPC-SysV-2.30.0-r1.ebuild
+++ /dev/null
@@ -1,15 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/virtual/perl-ExtUtils-MakeMaker/perl-ExtUtils-MakeMaker-6.56.ebuild,v
 1.12 2010/09/13 14:42:31 josejx Exp $
-
-DESCRIPTION="Virtual for perl-core/IPC-SysV"
-HOMEPAGE=""
-SRC_URI=""
-
-LICENSE=""
-SLOT="0"
-KEYWORDS="~x86 ~amd64"
-IUSE=""
-
-DEPEND=""
-RDEPEND="|| ( =dev-lang/perl-5.14* ~perl-core/IPC-SysV-${PV} )"

diff --git a/virtual/perl-IPC-SysV/perl-IPC-SysV-2.10.0.ebuild 
b/virtual/perl-IPC-SysV/perl-IPC-SysV-2.30.0-r2.ebuild
similarity index 61%
rename from virtual/perl-IPC-SysV/perl-IPC-SysV-2.10.0.ebuild
rename to virtual/perl-IPC-SysV/perl-IPC-SysV-2.30.0-r2.ebuild
index 3b0c144..8110ff9 100644
--- a/virtual/perl-IPC-SysV/perl-IPC-SysV-2.10.0.ebuild
+++ b/virtual/perl-IPC-SysV/perl-IPC-SysV-2.30.0-r2.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: 
/var/cvsroot/gentoo-x86/virtual/perl-ExtUtils-MakeMaker/perl-ExtUtils-MakeMaker-6.56.ebuild,v
 1.12 2010/09/13 14:42:31 josejx Exp $
-
+EAPI=5
 DESCRIPTION="Virtual for perl-core/IPC-SysV"
 HOMEPAGE=""
 SRC_URI=""
@@ -12,11 +12,7 @@ KEYWORDS="~x86 ~amd64"
 IUSE=""
 
 DEPEND=""
-RDEPEND="
-       || (
-               ~dev-lang/perl-5.12.3
-               ~dev-lang/perl-5.12.2
-               ~dev-lang/perl-5.10.1
-       )
-       !perl-core/IPC-SysV
+RDEPEND="|| ( =dev-lang/perl-5.18* =dev-lang/perl-5.16* =dev-lang/perl-5.14* 
~perl-core/IPC-SysV-${PV} )
+                !<perl-core/IPC-SysV-${PV}
+                !>perl-core/IPC-SysV-${PV}-r999
 "

Reply via email to